## oif-qml 1.0.4.1

=== CMakeLists.txt ===
project(oif-qml)
cmake_minimum_required(VERSION 2.8)

# Build flags
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Werror -fvisibility=hidden")

# Dependencies
include(FindPkgConfig)
find_package(Qt4 REQUIRED)
find_package(PkgConfig REQUIRED)
find_package(Doxygen)

pkg_check_modules(GEIS REQUIRED libgeis)

include_directories(
    ${QT_INCLUDE_DIR}
    ${QT_QTCORE_INCLUDE_DIR}
    ${QT_QTGUI_INCLUDE_DIR}
    ${QT_QTDECLARATIVE_INCLUDE_DIR}
    ${GEIS_INCLUDE_DIRS}
    )

# Source
add_subdirectory(src)

# Distribution settings
set(PROJECT_VERSION "1.0.4.1")
set(ARCHIVE_NAME ${CMAKE_PROJECT_NAME}-${PROJECT_VERSION})
add_custom_target(dist
    COMMAND bzr export --root=${ARCHIVE_NAME}
    ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.gz
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

=== debian/changelog ===
oif-qml (1.0.4.1-0ubuntu1) oneiric-proposed; urgency=low

  * Updated debian/watch file for project rename
  * New upstream release.
    - Renamed project to oif-qml (LP: #1030960)
  * Update packaging for project rename

 -- Chase Douglas <chase.douglas@ubuntu.com>  Wed, 05 Sep 2012 18:10:36 +0000

=== debian/control ===
Source: oif-qml
Section: libs
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
               cmake,
               pkg-config,
               libqt4-dev,
               libgeis-dev (>= 2.1.2),
               doxygen,
               qt4-dev-tools
Standards-Version: 3.9.2
Homepage: https://launchpad.net/oif-qml
Vcs-Bzr: https://code.launchpad.net/~oif-packaging/oif-qml/ubuntu

Package: liboif-qml
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: liboif-qml-doc
Description: QML plugin for the OIF gesture framework
 The plugin provides QML elements for receiving gestures from OIF. Gesture,
 touch, and device properties are provided.

Package: liboif-qml-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: liboif-qml
Description: QML plugin for the OIF gesture framework - documentation
 The plugin provides QML elements for receiving gestures from OIF. Gesture,
 touch, and device properties are provided.
 .
 API and specification documentation for developing with oif-qml.

=== debian/watch ===
version=3
https://launchpad.net/oif-qml/1.0.4 .*/1.0.4/.*/oif-qml-([0-9.]+)\.tar\.gz

## oif-qml 1.0.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -24,7 +24,7 @@
 add_subdirectory(src)
 
 # Distribution settings
-set(PROJECT_VERSION "1.0.4.1")
+set(PROJECT_VERSION "1.0.7")
 set(ARCHIVE_NAME ${CMAKE_PROJECT_NAME}-${PROJECT_VERSION})
 add_custom_target(dist
     COMMAND bzr export --root=${ARCHIVE_NAME}

=== src/CMakeLists.txt ===
set(oif_SRCS
    continuousgesturearea.cpp
    device.cpp
    geissingleton.cpp
    gesture.cpp
    gesturearea.cpp
    gestureevent.cpp
    instantaneousgesturearea.cpp
    touch.cpp
    oif_plugin.cpp
    oifdragarea.cpp
    oifpincharea.cpp
    oifrotatearea.cpp
    oiftaparea.cpp
    )

set(oif_HDRS
    continuousgesturearea.h
    device.h
    geissingleton.h
    gesture.h
    gesturearea.h
    gestureevent.h
    instantaneousgesturearea.h
    touch.h
    oif_plugin.h
    oifdragarea.h
    oifpincharea.h
    oifrotatearea.h
    oiftaparea.h
    )

qt4_wrap_cpp(oif_MOC_SRCS ${oif_HDRS})

add_library(oif MODULE ${oif_SRCS} ${oif_MOC_SRCS})

target_link_libraries(oif ${GEIS_LDFLAGS})

set(PLUGIN_INSTALL_DIR lib/qt4/imports/oif)

install(TARGETS oif DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES qmldir DESTINATION ${PLUGIN_INSTALL_DIR})

# Documentation target
if (DOXYGEN_FOUND)
    configure_file(${CMAKE_SOURCE_DIR}/Doxyfile.in
        ${CMAKE_BINARY_DIR}/Doxyfile @ONLY)

    add_custom_command(OUTPUT ${CMAKE_BINARY_DIR}/html
    COMMAND ${DOXYGEN_EXECUTABLE}
    DEPENDS ${oif_SRCS} ${oif_HDRS} ${CMAKE_BINARY_DIR}/Doxyfile
    WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
    COMMENT "Generating API documentation with Doxygen" VERBATIM)

    add_custom_target(doc ALL DEPENDS ${CMAKE_BINARY_DIR}/html)

    install(DIRECTORY ${CMAKE_BINARY_DIR}/html DESTINATION "share/doc/oif-qml")
    install(FILES ${CMAKE_BINARY_DIR}/qch/oif-qml.qch DESTINATION "share/qt4/doc/qch")
endif (DOXYGEN_FOUND)

=== debian/changelog ===
oif-qml (1.0.7-0ubuntu1~12.04.1) precise-proposed; urgency=low

  * Backport project and dependency rename for Ubuntu 12.04 (LP: #1030960) 

 -- Francis Ginther <francis.ginther@canonical.com>  Thu, 30 Aug 2012 17:02:13 -0500

oif-qml (1.0.7-0ubuntu1) quantal; urgency=low

  * Update debian/watch file for new upstream location
  * New upstream release.
    - Upstream project rename
  * Updated and renamed packaging for new upstream name (LP: #1030960)

 -- Chase Douglas <chase.douglas@ubuntu.com>  Mon, 30 Jul 2012 14:22:47 -0700

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libgeis-dev (>= 2.1.2),
                doxygen,
                qt4-dev-tools
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: https://launchpad.net/oif-qml
 Vcs-Bzr: https://code.launchpad.net/~oif-packaging/oif-qml/ubuntu

=== debian/watch ===
version=3
https://launchpad.net/oif-qml/+download .*/oif-qml-([0-9.]+~?.+?)\.tar\.gz
